complexType "AdjustableOrRelativeDates"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 2 elements
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | adjustableDates | relativeDates
</...>

Content Model Elements (2):

  adjustableDates (defined in AdjustableOrRelativeDates complexType),
  relativeDates (defined in AdjustableOrRelativeDates complexType)

All Direct / Indirect Based Elements (7):

  bermudaExerciseDates (in bermudaExercise),
  commencementDates,
  expirationDates (in americanExercise defined in CommodityPhysicalExercise complexType),
  paymentDatesInterim,
  relevantUnderlyingDate (in americanExercise),
  relevantUnderlyingDate (in bermudaExercise),
  relevantUnderlyingDate (in europeanExercise)

Known Usage Locations

- As direct type of elements (7):
  bermudaExerciseDates (in bermudaExercise),
  commencementDates,
  expirationDates (in americanExercise defined in CommodityPhysicalExercise complexType),
  paymentDatesInterim,
  relevantUnderlyingDate (in americanExercise),
  relevantUnderlyingDate (in bermudaExercise),
  relevantUnderlyingDate (in europeanExercise)

Annotation
A type giving the choice between defining a series of dates as an explicit list of dates together with applicable adjustments or as relative to some other series of (anchor) dates.
XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="AdjustableOrRelativeDates"> <xsd:choice> <xsd:element name="adjustableDates" type="AdjustableDates"/> <xsd:element name="relativeDates" type="RelativeDates"/> </xsd:choice> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 2/2)
adjustableDates

  Type: | AdjustableDates, complex content

  A series of dates that shall be subject to adjustment if they would otherwise fall on a day that is not a business day in the specified business centers, together with the convention for adjusting the date.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="adjustableDates" type="AdjustableDates"/>

relativeDates

  Type: | RelativeDates, complex content

  A series of dates specified as some offset to another series of dates (the anchor dates).
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="relativeDates" type="RelativeDates"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.